osl::stat::Ratio Class Reference

`#include <ratio.h>`

## Public Member Functions

| Ratio (const char *n=0, bool show=false)
| ~Ratio ()
void | add (bool success)
double | ratio () const
void | show () const
void | clear ()

## Private Attributes

Average | ave
const char * | name
bool | show_on_destructor

## Detailed Description

Definition at line 12 of file ratio.h.

## Constructor & Destructor Documentation

## Ratio()

osl::stat::Ratio::Ratio | ( | const char * | n = 0,
|  | bool | show = false )

inline

Definition at line 18 of file ratio.h.

References name, show(), and show_on_destructor.

## ~Ratio()

osl::stat::Ratio::~Ratio | ( |  | ) |

Definition at line 6 of file ratio.cc.

References ave, name, show(), and show_on_destructor.

## Member Function Documentation

## add()

void osl::stat::Ratio::add | ( | bool | success | ) |

inline

Definition at line 22 of file ratio.h.

References ave.

Referenced by osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::blockingSimulation(), osl::checkmate::DualDfpn::findProof(), osl::checkmate::Dfpn::grandParentSimulation(), and osl::checkmate::Dfpn::proofOracleAttack().

## clear()

void osl::stat::Ratio::clear | ( |  | ) |

inline

Definition at line 25 of file ratio.h.

References ave.

## ratio()

double osl::stat::Ratio::ratio | ( |  | ) | const

inline

Definition at line 23 of file ratio.h.

References ave.

Referenced by show().

## show()

void osl::stat::Ratio::show | ( |  | ) | const

Definition at line 19 of file ratio.cc.

References ave, name, and ratio().

Referenced by Ratio(), and ~Ratio().

## Member Data Documentation

## ave

Average osl::stat::Ratio::ave

private

Definition at line 14 of file ratio.h.

Referenced by add(), clear(), ratio(), show(), and ~Ratio().

## name

const char* osl::stat::Ratio::name

private

Definition at line 15 of file ratio.h.

Referenced by Ratio(), show(), and ~Ratio().

## show_on_destructor

bool osl::stat::Ratio::show_on_destructor

private

Definition at line 16 of file ratio.h.

Referenced by Ratio(), and ~Ratio().

The documentation for this class was generated from the following files:

- ratio.h
- ratio.cc